<?php
/**
 *
 * @file:BaseService.php
 * @Date: 2023/6/7
 * @Time: 14:28
 */


namespace Modules\Common\Services;

use Catch\Exceptions\FailedException;

class BaseService
{
    public static function getMiniProgramType()
    {
        return [
            ['value' => 1, 'name' => "微信小程序"],
            ['value' => 2, 'name' => "抖音小程序"],
        ];
    }

    public static function getNavPagesType()
    {
        return [
            ['value' => 1, 'name' => "排行榜"],
            ['value' => 2, 'name' => "最新"],
        ];
    }

    protected static function throwErrMsg($msg, $code = "")
    {
        if ($code) {
            throw  new FailedException($msg, $code);
        }
        throw  new FailedException($msg);
    }
}
